Subject: Japanese Common Names for North American Flora- Help Needed

From: [email-masked] (John Day)
Date: Mon, 9 Oct 1995 04:02:56 GMT

A friend of mine, Yukako Nakamura, is working on a volunteer project for the 
North Cascades National Park in northwest Washington State.  She is 
translating the English captions for the natural history exhibit at the Park 
Visitor Center into Japanese so they can be provided to Japanese visitors.  So 
far, she has been unable to find a source for the correct common names for 
trees and plants found in the North Cascades.  Some of the common names are 
fairly obvious, such as Tsuga for hemlock.  The specific common names seem to 
be more elusive.  Could anyone help us with this?